Atom feed of this document
 
 
 

 6.1. List Backup Schedules

Verb URI Description
GET /servers/id/backup_schedule Lists the backup schedule for the specified server.

Normal Response Codes: 200 and 203

Error Response Codes: cloudServersFault (400, 500), serviceUnavailable (503), unauthorized (401), badRequest (400), itemNotFound (404), overLimit (413)

This operation lists the backup schedule for the specified server.

This operation does not require a request body.

 

Example 3.43. List Backup Schedule: JSON Response

{
    "backupSchedule" : {
        "enabled" : true,
        "weekly" : "THURSDAY",
        "daily" : "H_0400_0600"
    }
}

                    

 

Example 3.44. List Backup Schedule: XML Response

<?xml version="1.0" encoding="UTF-8"?>

<backupSchedule
    xmlns="http://docs.rackspacecloud.com/servers/api/v1.0"
    enabled="true" weekly="THURSDAY" daily="H_0400_0600" />